<?php

function my_html($str) {
    return(htmlentities($str, ENT_COMPAT, 'UTF-8'));
}

$host = $_REQUEST['host'];
$graph1_src = sprintf('rrd-graph.php?type=ping-rta&amp;host=%s&amp;period=', my_html($host));
$graph2_src = sprintf('rrd-graph.php?type=ping-pl&amp;host=%s&amp;period=', my_html($host));

//$img_size = 'width="640" height="240"';
$img_size = 'width="85%"';

?>

<html>
<head>
<style media="screen" type="text/css">

.textHeaderDark {
    font-family: Sans-Serif;
}

.graphHeading {
    font-family: Sans-Serif;
    font-weight: bold;
    font-size: 75%;
    padding-top: 1.5em;
}

</style>
</head>
<body>
<table>
<tr class="tableHeader">
  <td align="center" class="textHeaderDark"><strong><?= my_html($host) ?></strong><br>Ping Round-trip Average and Packet Loss</td>
</tr>

<tr><td align="center" class="graphHeading">Daily (5 Minutes Average)</td></tr>
<tr><td align="center"><img class="graphimage" src="<?= $graph1_src ?>daily" alt="<?= my_html($host) ?> - Ping rta" border="1" <?= $img_size ?>></td></tr>
<tr><td align="center"><img class="graphimage" src="<?= $graph2_src ?>daily" alt="<?= my_html($host) ?> - Ping pl"  border="1" <?= $img_size ?>></td></tr>

<tr><td align="center" class="graphHeading">Weekly (30 Minutes Average)</td></tr>
<tr><td align="center"><img class="graphimage" src="<?= $graph1_src ?>weekly" alt="<?= my_html($host) ?> - Ping rta" border="1" <?= $img_size ?>></td></tr>
<tr><td align="center"><img class="graphimage" src="<?= $graph2_src ?>weekly" alt="<?= my_html($host) ?> - Ping pl"  border="1" <?= $img_size ?>></td></tr>

<tr><td align="center" class="graphHeading">Monthly (2 Hours Average)</td></tr>
<tr><td align="center"><img class="graphimage" src="<?= $graph1_src ?>monthly" alt="<?= my_html($host) ?> - Ping rta" border="1" <?= $img_size ?>></td></tr>
<tr><td align="center"><img class="graphimage" src="<?= $graph2_src ?>monthly" alt="<?= my_html($host) ?> - Ping pl"  border="1" <?= $img_size ?>></td></tr>

<tr><td align="center" class="graphHeading">Yearly (1 Day Average)</td></tr>
<tr><td align="center"><img class="graphimage" src="<?= $graph1_src ?>yearly" alt="<?= my_html($host) ?> - Ping rta" border="1" <?= $img_size ?>></td></tr>
<tr><td align="center"><img class="graphimage" src="<?= $graph2_src ?>yearly" alt="<?= my_html($host) ?> - Ping pl"  border="1" <?= $img_size ?>></td></tr>

</table>
</body>
</html>
