<?php

// Get station_id from $_REQUEST['id'] and sanitize it.
$host = isset($_REQUEST['host']) ? $_REQUEST['host'] : '';
$host = preg_replace('/[^0-9A-Za-z_-]/', '', strtolower($host));
if ($host == '') exit;

$valid_periods = array('daily', 'weekly', 'monthly', 'yearly');
$valid_types = array('ping-rta', 'ping-pl');
$period = 'daily';
$type = 'ping-rta';

if (array_key_exists('period', $_REQUEST)) {
    $request = $_REQUEST['period'];
    if (in_array($request, $valid_periods)) {
        $period = $request;
    }
}
if (array_key_exists('type', $_REQUEST)) {
    $request = $_REQUEST['type'];
    if (in_array($request, $valid_types)) {
        $type = $request;
    }
}



header('Pragma: public');
header('Cache-Control: max-age=300');
header('Expires: '. gmdate('D, d M Y H:i:s \G\M\T', time() + 300));
header('Content-Type: image/png');
$cmd = '/var/www/html/rrd4icinga/rrd-graph-' . $type;
$cmd .= ' ' . escapeshellarg($period) . ' ' . escapeshellarg($host);
passthru($cmd, $err);
exit();
